Subject: Re: Washington Morels

From: [email-masked] (Aruncus)
Date: 4 May 1996 00:24:19 -0400

I picked about 5lbs of morels today, in a burned area, that had been
salvaged logged after a 1994 summer fire in Eastern Washignton. It is very
interesting that there are very few morels to be found in non- logged
areas at this time, they seem to fruit in disturbed areas.  Last season,
the first spring after the fire, they were ubiquitous. The areawhere I
found them  had been tractored logged and the morels were in the tractor
tracks, and around slash.  Oh, so very good... I am stuffed.   I will sell
some as I get them if you would like some.